summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Chris Walker <kris240376@gmail.com>2012-02-15 09:59:50 -0200
committer Niels Horn <niels.horn@slackbuilds.org>2012-02-15 09:59:50 -0200
commite09a8382c373609fa333be4311e45106b3d34851 (patch)
tree4cc5572ac1e1e91673353987533f4ed446f48dd8
parent57ee6b168067c3db46ca6528aaadfbaaf713561c (diff)
downloadslackbuilds-e09a8382c373609fa333be4311e45106b3d34851.tar.gz
slackbuilds-e09a8382c373609fa333be4311e45106b3d34851.tar.xz
network/transmission-remote-gtk: Added (Transmission remote GUI)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--network/transmission-remote-gtk/README13
-rw-r--r--network/transmission-remote-gtk/doinst.sh9
-rw-r--r--network/transmission-remote-gtk/slack-desc20
-rw-r--r--network/transmission-remote-gtk/transmission-remote-gtk.SlackBuild111
-rw-r--r--network/transmission-remote-gtk/transmission-remote-gtk.info10
5 files changed, 163 insertions, 0 deletions
diff --git a/network/transmission-remote-gtk/README b/network/transmission-remote-gtk/README
new file mode 100644
index 0000000000..19e6d25c90
--- /dev/null
+++ b/network/transmission-remote-gtk/README
@@ -0,0 +1,13 @@
+transmission-remote-gtk is a cross-platform application for remote
+management of the Transmission BitTorrent client using its RPC interface.
+
+ * Remotely add (file/url), start, stop, remove, remove & delete, verify,
+ reannounce torrents.
+ * Works as a .torrent handler (eg. from a web browser).
+ * Set torrent properties such as speed, seed, peer limits, file
+ priorities, add/edit/remove trackers.
+ * Change remote settings like global limits, download directory, and
+ connectivity preferences.
+ * Russian, Polish, Korean, and German, Spanish, Ukranian translations.
+
+This package requires the transmission and json-glib package.
diff --git a/network/transmission-remote-gtk/doinst.sh b/network/transmission-remote-gtk/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/network/transmission-remote-gtk/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/transmission-remote-gtk/slack-desc b/network/transmission-remote-gtk/slack-desc
new file mode 100644
index 0000000000..7d60e47983
--- /dev/null
+++ b/network/transmission-remote-gtk/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+transmission-remote-gtk: transmission-remote-gtk (Transmission Bittorrent remote GUI)
+transmission-remote-gtk:
+transmission-remote-gtk: transmission-remote-gtk is a GTK applicatoin for remote management of
+transmission-remote-gtk: the Transmission BitTorrent client via its RPC interface.
+transmission-remote-gtk:
+transmission-remote-gtk: Homepage: http://code.google.com/p/transmission-remote-gtk/
+transmission-remote-gtk:
+transmission-remote-gtk:
+transmission-remote-gtk:
+transmission-remote-gtk:
+transmission-remote-gtk:
+
diff --git a/network/transmission-remote-gtk/transmission-remote-gtk.SlackBuild b/network/transmission-remote-gtk/transmission-remote-gtk.SlackBuild
new file mode 100644
index 0000000000..2285d0df5e
--- /dev/null
+++ b/network/transmission-remote-gtk/transmission-remote-gtk.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for transmission-remote-gtk
+
+# Written by Christopher Walker <kris240376@gmail.com
+
+# Copyright (c) 2012 Chris Walker <kris240376@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of the {company} nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=transmission-remote-gtk
+VERSION=${VERSION:-0.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make V=1
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/transmission-remote-gtk/transmission-remote-gtk.info b/network/transmission-remote-gtk/transmission-remote-gtk.info
new file mode 100644
index 0000000000..1e86cfcba3
--- /dev/null
+++ b/network/transmission-remote-gtk/transmission-remote-gtk.info
@@ -0,0 +1,10 @@
+PRGNAM="transmission-remote-gtk"
+VERSION="0.8"
+HOMEPAGE="http://code.google.com/p/transmission-remote-gtk/"
+DOWNLOAD="http://transmission-remote-gtk.googlecode.com/files/transmission-remote-gtk-0.8.tar.gz"
+MD5SUM="eb4ecd5722392a8f2783f86c2049faf1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Chris Walker"
+EMAIL="kris240376@gmail.com"
+APPROVED="Niels Horn"